
/* d3d.cpp.c - Initialisation
 *
 * dxglwrapper 0.08 - Sept. 12, 2002
 * For conditions of distribution and use, see copyright notice in dxgl.h
 * Copyright (c) 1991-2002 realtech VR
 *
 * This file provides D3D initialisation
 */

#include <stdio.h>
#include "dxgl.h"
#include "dxglinit.h"

int dxgl_option = 0;


extern "C" {

IDirect3D8 * WINAPI Direct3DCreate8(UINT SDKVersion)
{
	if (SDKVersion!=D3D_SDK_VERSION)
	{
/*		MESG("D3D ERROR: This application compiled against improper D3D headers."
			 "The application is compiled with SDK version (%d) but the currently installed"
			 "runtime supports versions for (%d). Please recompile with an up-to-date SDK.\n", SDKVersion, 0);*/
		// Bad version, but continue anyway ...
		// return NULL;
	}	
	
	dxgl_option = DXGL_ReadOptions(); // Win32 only

#if !defined _DEBUG && defined _MSC_VER
	DisplaySplashScreen(SDKVersion);
#endif
	return new BIDirect3D8();
}

}
